ZCM 11.2.4 System Update from ZCM 11.2.3a fails with errors 1603 and 1722 (Location Lite is not being used)

  • 7014326
  • 19-Dec-2013
  • 20-Jun-2014

Environment

Novell ZENworks Configuration Management 11.2.4 System Update

Situation

The following errors are seen in the logs after running System Update to 11.2.4.

MSI (s) (20:BC) [03:00:22:540]: Note: 1: 1722 2: UpgStopCSDEarly 3: M:\WINDOWS\TEMP\{D6C5BB8D-8A3A-495F-8252-DF4E0731209B}\InstallHelper.exe 4: -pcsd
Action start 02:57:22: UpgStopCSDEarly.
MSI (s) (20:BC) [03:00:22:540]: Product: Novell ZENworks Endpoint Security Agent -- Error 1722.There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor. Action UpgStopCSDEarly, location: M:\WINDOWS\TEMP\{D6C5BB8D-8A3A-495F-8252-DF4E0731209B}\InstallHelper.exe, command: -pcsd

Error 1722.There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor. Action UpgStopCSDEarly, location: M:\WINDOWS\TEMP\{D6C5BB8D-8A3A-495F-8252-DF4E0731209B}\InstallHelper.exe, command: -pcsd


Resolution

For new devices: A fix for this issue is intended to be included in a future update to the product: however, in the interim, Novell has made a Patch available for testing, as part of a Monthly patch update: it can be obtained at https://download.novell.com/Download?buildid=Rbs5fYlojj0~ as "ZCM 11.2.4 Monthly Update 1 - see TID 7014163". This update should only be applied if the symptoms above are being experienced, and are causing problems.

Please report any problems encountered when using this Patch, by using the feedback link on this TID.

For any devices which require upgrading to ZCM 11.2.4: Novell has made a Patch available for testing, in the form of a Field Test File (FTF): it can be obtained at https://download.novell.com/Download?buildid=69uQFXT-vWU~ as "ZCM 11.2.4 - fix for problems upgrading from ZCM 11.2.3a when Location Awareness Lite is used - see TID 7014018". This Patch should only be applied if the symptoms above are being experienced, and are causing problems.

This Patch has had limited testing, and should not be used in a production system without first being checked in a test environment. Some Patches have specific requirements for deployment, it is very important to follow any instructions in the readme at the download site. Please report any problems encountered when using this Patch, by using the feedback link on this TID.

Workaround if the above patch doesn't resolve the issue:
  1. Disable agent self defense for the devices to be upgraded
    See the setting Enable Self Defense for the ZENworks Adaptive Agent in Agent Security
  2. Refresh the devices
  3. Reboot the devices
  4. Push the update to the devices again

Additional Information

Check setup.exe.log carefully for the exact error message shown above as there are other very similar errors.

This is different from the error shown in TID 7014018 ZCM 11.2.4 System Update from ZCM 11.2.3a fails with errors 1603 and 1722 when Location Awareness Lite is used

Feedback service temporarily unavailable. For content questions or problems, please contact Support.